# pandas.Panel.swaplevel

`Panel.``swaplevel`(i=-2, j=-1, axis=0)

  Swap levels i and j in a MultiIndex on a particular axis

  Parameters:

  i, j : int, string (can be mixed)

  > Level of index to be swapped. Can pass level name as string.

  Returns: | swapped : type of caller (new object) Changed in version 0.18.1: The indexes `i` and `j` are now optional, and default to the two innermost levels of the index.

Scroll To Top